<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelEntityList Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelEntityList Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelEntityList" --><!-- doxytag: inherits="iBase" -->
<p>A list of entities.  
 <a href="structiCelEntityList.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entity_8h_source.html">physicallayer/entity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelEntityList:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelEntityList.png" usemap="#iCelEntityList_map" alt=""/>
  <map id="iCelEntityList_map" name="iCelEntityList_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,84,24"/>
</map>
 </div></div>

<p><a href="structiCelEntityList-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#aa094cc38b6399d5a08b5420aa5c13fa5">Add</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *obj)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entity.  <a href="#aa094cc38b6399d5a08b5420aa5c13fa5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#ad93a7292590be1d4df8980c1d4b9078c">Find</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *obj) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find an entity and return its index.  <a href="#ad93a7292590be1d4df8980c1d4b9078c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#a7d41732566e63bb2c2061ccee60820e4">FindByName</a> (const char *Name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find an entity by name.  <a href="#a7d41732566e63bb2c2061ccee60820e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#a3f366c818448bcef4e00ab6b52639292">Get</a> (size_t n) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an entity class by index.  <a href="#a3f366c818448bcef4e00ab6b52639292"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#af4171ea94531a7872e419b06ee6403f5">GetCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of entities in this list.  <a href="#af4171ea94531a7872e419b06ee6403f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="el" href="structiCelEntityIterator.html">iCelEntityIterator</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#a7f11f330aa42262c44403fa36931c993">GetIterator</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the entities in this list.  <a href="#a7f11f330aa42262c44403fa36931c993"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#a7dd28375d0ac14ef97379cef59682f3a">Remove</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *obj)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove an entity.  <a href="#a7dd28375d0ac14ef97379cef59682f3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#a8c74ea6414ff21b39c08e1599b87edb5">Remove</a> (size_t n)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the nth entity.  <a href="#a8c74ea6414ff21b39c08e1599b87edb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityList.html#ae3e574a5ca64d32b4be5ec66a05e831e">RemoveAll</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all entities.  <a href="#ae3e574a5ca64d32b4be5ec66a05e831e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A list of entities. </p>
<p>An <a class="el" href="structiCelEntityList.html" title="A list of entities.">iCelEntityList</a> represents a list of entities. It defines an interface to Add and Remove entities to or from the list, and also to find either the index of an Entity in the list, or get a pointer to an Entity in the list. </p>

<p>Definition at line <a class="el" href="entity_8h_source.html#l00150">150</a> of file <a class="el" href="entity_8h_source.html">entity.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa094cc38b6399d5a08b5420aa5c13fa5"></a><!-- doxytag: member="iCelEntityList::Add" ref="aa094cc38b6399d5a08b5420aa5c13fa5" args="(iCelEntity *obj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelEntityList.html#aa094cc38b6399d5a08b5420aa5c13fa5">iCelEntityList::Add</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entity. </p>
<p>Add will take a pointer to an <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> and add this Entity to the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>A pointer to an <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> to be added to the list. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>??? </dd></dl>

</div>
</div>
<a class="anchor" id="ad93a7292590be1d4df8980c1d4b9078c"></a><!-- doxytag: member="iCelEntityList::Find" ref="ad93a7292590be1d4df8980c1d4b9078c" args="(iCelEntity *obj) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelEntityList.html#ad93a7292590be1d4df8980c1d4b9078c">iCelEntityList::Find</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find an entity and return its index. </p>
<p>Find will return the index to the Entity pointed to by obj in the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>A pointer to an <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> to find in the list </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The Entities index within the list </dd></dl>

</div>
</div>
<a class="anchor" id="a7d41732566e63bb2c2061ccee60820e4"></a><!-- doxytag: member="iCelEntityList::FindByName" ref="a7d41732566e63bb2c2061ccee60820e4" args="(const char *Name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a>* <a class="el" href="structiCelEntityList.html#a7d41732566e63bb2c2061ccee60820e4">iCelEntityList::FindByName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>Name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find an entity by name. </p>
<p>FindByName will return the index to the Entity named by Name in the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">Name</td><td>A name of an Entity to find in the list </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> named </dd></dl>

</div>
</div>
<a class="anchor" id="a3f366c818448bcef4e00ab6b52639292"></a><!-- doxytag: member="iCelEntityList::Get" ref="a3f366c818448bcef4e00ab6b52639292" args="(size_t n) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a>* <a class="el" href="structiCelEntityList.html#a3f366c818448bcef4e00ab6b52639292">iCelEntityList::Get</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an entity class by index. </p>
<p>Get will return a pointer to the <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> at index n in the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>An index in the list </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> at that location in the list. </dd></dl>

</div>
</div>
<a class="anchor" id="af4171ea94531a7872e419b06ee6403f5"></a><!-- doxytag: member="iCelEntityList::GetCount" ref="af4171ea94531a7872e419b06ee6403f5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelEntityList.html#af4171ea94531a7872e419b06ee6403f5">iCelEntityList::GetCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of entities in this list. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of entities in the list, as an integer. </dd></dl>

</div>
</div>
<a class="anchor" id="a7f11f330aa42262c44403fa36931c993"></a><!-- doxytag: member="iCelEntityList::GetIterator" ref="a7f11f330aa42262c44403fa36931c993" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="el" href="structiCelEntityIterator.html">iCelEntityIterator</a>&gt; <a class="el" href="structiCelEntityList.html#a7f11f330aa42262c44403fa36931c993">iCelEntityList::GetIterator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the entities in this list. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>an iterator over the entities. </dd></dl>

</div>
</div>
<a class="anchor" id="a7dd28375d0ac14ef97379cef59682f3a"></a><!-- doxytag: member="iCelEntityList::Remove" ref="a7dd28375d0ac14ef97379cef59682f3a" args="(iCelEntity *obj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelEntityList.html#a7dd28375d0ac14ef97379cef59682f3a">iCelEntityList::Remove</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove an entity. </p>
<p>Remove will remove the <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> pointed to by obj from the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>A pointer to an <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> to be removed from the list </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True upon Success, or False upon Failure </dd></dl>

</div>
</div>
<a class="anchor" id="a8c74ea6414ff21b39c08e1599b87edb5"></a><!-- doxytag: member="iCelEntityList::Remove" ref="a8c74ea6414ff21b39c08e1599b87edb5" args="(size_t n)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelEntityList.html#a7dd28375d0ac14ef97379cef59682f3a">iCelEntityList::Remove</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the nth entity. </p>
<p>Remove will remove the <a class="el" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a> at index n from the list.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>An index in the list </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True upon Success, or False upon Failure </dd></dl>

</div>
</div>
<a class="anchor" id="ae3e574a5ca64d32b4be5ec66a05e831e"></a><!-- doxytag: member="iCelEntityList::RemoveAll" ref="ae3e574a5ca64d32b4be5ec66a05e831e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntityList.html#ae3e574a5ca64d32b4be5ec66a05e831e">iCelEntityList::RemoveAll</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all entities. </p>
<p>RemoveAll will remove ALL Entities from the list. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="entity_8h_source.html">entity.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
